# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#

Section "Files"
	RgbPath		"/usr/share/X11/rgb"	
	ModulePath	"/usr/lib/xorg/modules"
	FontPath 	"/usr/share/fonts/misc"
	FontPath 	"/usr/share/fonts/Type1"
	FontPath 	"/usr/share/fonts/100dpi"
	FontPath 	"/usr/share/fonts/TTF"
EndSection

Section "Module"
	Load	"bitmap"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"type1"
	Load	"vbe"
	Load	"vgahw"
	Load	"xtrap"
	Load	"record"
	Load	"synaptics"
	Load	"dbe"
EndSection

Section "InputDevice"
	Identifier	"Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"cz"
EndSection	

Section "InputDevice"
	Identifier	"Mouse"
	Driver		"mouse"
   	Option 		"Name" 				"Logitech USB Receiver"
    	Option		"Protocol"      		"ExplorerPS/2"
	Option		"Device"			"/dev/input/mice"
	Option		"ZAxisMapping"			"4 5"
	Option 		"HWHEELRelativeAxisButtons"	"7 6"
	Option		"Emulate3Buttons"		"no"
	Option		"Sensitivity"			"1.5"
EndSection

Section "InputDevice"
Driver          "synaptics"
Identifier      "Touchpad"
Option  "Device"        "/dev/input/mouse0"
Option  "Protocol"      "auto-dev"
Option  "LeftEdge"      "1700"
Option  "RightEdge"     "5300"
Option  "TopEdge"       "1700"
Option  "BottomEdge"    "4200"
Option  "FingerLow"     "25"
Option  "FingerHigh"    "30"
Option  "MaxTapTime"    "180"
Option  "MaxTapMove"    "220"
Option  "VertScrollDelta" "100"
Option  "HorizScrollDelta" "0"
Option  "MinSpeed"      "0.06"
Option  "MaxSpeed"      "0.12"
Option  "AccelFactor" "0.0010"
Option  "SHMConfig"     "on"
#  Option       "Repeater"      "/dev/ps2mouse"
EndSection


Section "Device"
        Identifier      "Intel 945GM"
	BoardName	"Mobile 945GM/GMS/940GML Express Integrated Graphics Controller"
	Driver          "intel"
	BusID           "PCI:0:2:0"
	Option		"AccelMethod"			"EXA"
	Option		"FramebufferCompression"	"on"	
	Option 		"Tiling" 			"on"
	Option		"DRI"				"on"
	Option 		"Monitor-LVDS" 	"LCD 1280x800"
	Option		"ModeDebug"		"on" 
	Option		"MigrationHeuristic"	"greedy"
EndSection

Section "Monitor"
        Identifier      "LCD 1280x800"
        Option          "DPMS"          "true"
	VendorName	"LPL"
	DisplaySize     338 211
EndSection

Section "Screen"
        Identifier      "Default Screen"
        Device          "Intel 945GM"
        Monitor         "LCD 1280x800"
	DefaultDepth    24
        SubSection "Display"
                Depth           24
                Modes           "1280x800"	"1024x768"
		#Virtual	2304 1568
        EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Keyboard"
	InputDevice	"Touchpad" 		
	InputDevice	"Mouse"			"CorePointer"
EndSection

Section "ServerFlags"
	Option  	"StandbyTime"  		"8"  # Turn off screen after 8 minutes (DPMS)
        Option 		"SuspendTime"  		"10"  # Full suspend after 10 minutes
        Option  	"OffTime"  		"15"  # Turn off after 15 minutes
EndSection

Section "DRI"
	Group	"video"
	Mode	0666
EndSection

Section "Extensions"
	Option "Composite" 	"Enable"
	Option "RENDER" 	"Enable"
EndSection

EndSection